# $Id: diald.spec,v 1.1 2016/02/04 12:30:28 vip-ire Exp $
%global debug_package %{nil}

Group:        Networking/Daemons
Name:         diald
Version:      1.0
Release:      5%{?dist}
License:      GNU General Public License

Summary:      On demand link manager
#URL:

BuildRoot:    /tmp/diald-root-%{version}-%{release}-%(id -u -n)
Source:       diald-%{version}.tar.gz
Source1:      diald.init
Patch0:       diald-%{version}.time.h.patch
Patch1:       diald-%{version}.proxy_slip.patch
Patch2:       diald-%{version}.buffer.patch
Patch3:       diald-%{version}.ticks.patch
Patch4:       diald-%{version}.install.patch

%changelog
* Wed Mar 13 2024 Jean-Philippe Pialasse <jpp@koozali.org> 1.0-5.sme
- do not build debug package [SME: 12504]

* Wed Jul 12 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Mon May 14 2007 Shad L. Lords <slords@mail.com> 1.0-3
- Fix Makefile to not set ownerships

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Wed Mar 21 2007 Shad L. Lords <slords@mail.com> 1.0-2
- Update time references to build on el5.

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Tue Oct 04 2005 Charlie Brady <charlieb@e-smith.com> 1.0-1cb4
- Add RedHat init script
- Add defattr, to hush complaints about missing uid at install time.

* Tue Oct 04 2005 Charlie Brady <charlieb@e-smith.com> 1.0-1cb3
- Include buffer.c rewrite from sourceforge.

* Tue Oct 04 2005 Charlie Brady <charlieb@e-smith.com> 1.0-1cb2
- Add proxy_slip patch from sourceforge.

* Tue Oct 04 2005 Charlie Brady <charlieb@e-smith.com> 1.0-1cb1
- s/Copyright/License/
- Include compressed manpages in file list.
- Fix time.h include for linux 2.6.

%description
On demand link manager.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
	--mandir=%{_mandir} 
make  

%install
rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
cp %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/diald

%clean
rm -rf "$RPM_BUILD_ROOT"


%files
%defattr(-,root,root)
%doc BUGS CHANGES LICENSE NOTES TODO TODO.budget doc/diald-faq.txt
%doc README README.ethertap README.masq README.pam
%doc %{_mandir}/man1/dctrl.1*
%doc %{_mandir}/man5/diald-examples.5*
%doc %{_mandir}/man5/diald-control.5*
%doc %{_mandir}/man5/diald-monitor.5*
%doc %{_mandir}/man8/diald.8*
%attr (0644, root, root) /etc/pam.d/diald
%attr (0755, root, root) /usr/sbin/diald
%attr (0755, root, root) /etc/rc.d/init.d/diald
%attr (0755, root, root) /usr/bin/dctrl
%attr (0644, root, root) /usr/lib/diald/*.gif
%attr (0644, root, root) /usr/lib/diald/diald.defs
%attr (0644, root, root) /usr/lib/diald/standard.filter
%attr (0644, root, root) /usr/lib/diald/connect
